Package org.apache.storm.generated

## Class DistributedRPC.AsyncClient

- java.lang.Object
- - org.apache.storm.thrift.async.TAsyncClient
  - - org.apache.storm.generated.DistributedRPC.AsyncClient

- All Implemented Interfaces:
    `DistributedRPC.AsyncIface`
  Enclosing class:
    DistributedRPC

      public static class DistributedRPC.AsyncClient
      extends org.apache.storm.thrift.async.TAsyncClient
      implements DistributedRPC.AsyncIface

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DistributedRPC.AsyncClient.execute_call` |
    `static class` | `DistributedRPC.AsyncClient.Factory` |

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.thrift.async.TAsyncClient

      `___currentMethod, ___manager, ___protocolFactory, ___transport`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AsyncClient​(org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory, org.apache.storm.thrift.async.TAsyncClientManager clientManager, org.apache.storm.thrift.transport.TNonblockingTransport transport)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(String functionName, String funcArgs, org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)` |

    - ### Methods inherited from class org.apache.storm.thrift.async.TAsyncClient

      `checkReady, getError, getProtocolFactory, getTimeout, hasError, hasTimeout, onComplete, onError, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncClient

          public AsyncClient​(org.apache.storm.thrift.protocol.TProtocolFactory protocolFactory,
                             org.apache.storm.thrift.async.TAsyncClientManager clientManager,
                             org.apache.storm.thrift.transport.TNonblockingTransport transport)

  - ### Method Detail

    - #### execute

          public void execute​(String functionName,
                              String funcArgs,
                              org.apache.storm.thrift.async.AsyncMethodCallback<String> resultHandler)
                       throws org.apache.storm.thrift.TException

      Specified by:
        `execute` in interface `DistributedRPC.AsyncIface`
      Throws:
        `org.apache.storm.thrift.TException`